{
  "author": "Flywheel",
  "cite": "",
  "command": "poetry run python run.py",
  "config": {
    "debug": {
      "default": false,
      "description": "Log debug messages",
      "type": "boolean"
    },
    "screening_session_label": {
      "type": "string",
      "description": "Session label that will be used to scan for input file.",
      "default": "Screening"
    }
  },
  "custom": {
    "gear-builder": {
      "category": "analysis",
      "image": "flywheel/niftyreg:0.1.0"
    }
  },
  "description": "Medical Image Registration gear",
  "environment": {
    "PATH": "/opt/niftyreg-master/bin:/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin",
    "LD_LIBRARY_PATH": "/opt/niftyreg-master/lib:",
    "LANG": "C.UTF-8"
  },
  "inputs": {
    "api-key": {
      "base": "api-key",
      "read-only": true
    },
    "ct_screening_nifti": {
      "base": "file",
      "description": "(Optional) Compressed NIfTI file containing CT image from screening visit. If not provided this input will be identified via file.tags. (e.g. ct_screen_tmtv)",
      "optional": true,
      "type": {
        "enum": [
          "nifti"
        ]
      }
    },
    "ct_followup_nifti": {
      "base": "file",
      "description": "(Optional) Compressed NIfTI file containing CT image from followup visit. If not provided this input will be identified via file.tags. (e.g. ct_followup_tmtv)",
      "optional": true,
      "type": {
        "enum": [
          "nifti"
        ]
      }
    },
    "pet_screening_nifti": {
      "base": "file",
      "description": "(Optional) Compressed NIfTI file containing PET image from screening visit. If not provided this input will be identified via file.tags. (e.g. pt_screen_tmtv)",
      "optional": true,
      "type": {
        "enum": [
          "nifti"
        ]
      }
    },
    "pet_followup_nifti": {
      "base": "file",
      "description": "(Required) Compressed NIfTI file containing PET image from followup visit.",
      "optional": false,
      "type": {
        "enum": [
          "nifti"
        ]
      }
    }
  },
  "label": "NiftyReg",
  "license": "MIT",
  "maintainer": "Flywheel <support@flywheel.io>",
  "name": "niftyreg",
  "source": "https://gitlab.com/flywheel-io/flywheel-apps/niftyreg",
  "url": "https://gitlab.com/flywheel-io/flywheel-apps/niftyreg",
  "version": "0.1.0"
}
